## org.apache.batik.util
Interface RunnableQueue.IdleRunnable

All Superinterfaces:
  java.lang.Runnable

All Known Implementing Classes:
  SVGAnimationEngine.AnimationTickRunnable, SVGAnimationEngine.DebugAnimationTickRunnable

Enclosing class:
  RunnableQueue

    public static interface RunnableQueue.IdleRunnable

extends java.lang.Runnable

A `Runnable` that can also inform the caller how long it should be until it is run again.

Method Summary
`long` `getWaitTime()` Returns the system time that can be safely waited until before this `Runnable` is run again.

Methods inherited from interface java.lang.Runnable
`run`

Method Detail

### getWaitTime

    long getWaitTime()

  Returns the system time that can be safely waited until before this `Runnable` is run again.

  Returns:
    time to wait until, `0` if no waiting can be done, or `Long.MAX_VALUE` if the `Runnable` should not be run again at this time

Copyright © 2008 Apache Software Foundation. All Rights Reserved.